import java.awt.*;
import java.applet.*;

public class Pijanec_pocasi extends Applet
/*
  Pijanec se giba po zaslonu
  pocitek po vsakem koraku
*/
{
   public void paint (Graphics g)
   {
      int kje_x, kje_y; // zaetni poloaj
      int premik = 20; // za koliko se premaknemo?
      boolean ni_v_jarku = true; // ali smo v jarku
      int kam;
      int sirina = getWidth() - 10; // sirina "sveta"
      int visina = getHeight() - 10; // visina

      g.drawRect(5, 5, sirina, visina);

      kje_x = sirina / 2;    // zacetna tocka
      kje_y = visina / 2;
      g.setColor(Color.green);
      g.fillOval(kje_x - 5, kje_y - 5, 10, 10);

      g.setColor(Color.black);
      int novi_x = kje_x;
      int novi_y = kje_y;
      while (ni_v_jarku) // dokler nismo v "jarku" - izven zaslona
      {
         kam = (int)(Math.random() * 4); // 0 - gor, 1 - dol, 2 -levo, 3 - desno
         if (kam == 0) novi_y = kje_y - premik;
         if (kam == 1) novi_y = kje_y + premik;
         if (kam == 2) novi_x = kje_x - premik;
         if (kam == 3) novi_x = kje_x + premik;

         ni_v_jarku = (novi_x >= 5) && (novi_x <= sirina) && (novi_y >= 5) && (novi_y <= visina);

         if (! ni_v_jarku) // padec v jarek - popravimo koordinate na rob!
         {
            if (novi_x < 5) novi_x = 5;
            if (novi_x > sirina) novi_x = sirina;
            if (novi_y < 5) novi_y = 5;
            if (novi_y > sirina) novi_y = sirina;
         }

         g.drawLine(kje_x, kje_y, novi_x, novi_y); // narisemo premik
         g.fillOval(kje_x - 2, kje_y - 2, 5, 5);
         kje_x = novi_x;
         kje_y = novi_y;
         // malo pocakamo
         long trenutni = System.currentTimeMillis();
         while (System.currentTimeMillis() < trenutni + 500) ; // dokler ne bo cas za pol sekunde (500 milisekund) vecji
      }
      g.setColor(Color.red); // kje smo padli v jarek
      g.fillOval(kje_x - 5, kje_y - 5, 10, 10);
   }
}

